Package org.apache.lucene.queryparser.flexible.core.parser

# Interface EscapeQuerySyntax

All Known Implementing Classes:
  `EscapeQuerySyntaxImpl`

public interface EscapeQuerySyntax
A parser needs to implement `EscapeQuerySyntax` to allow the QueryNode to escape the queries, when the toQueryString method is called.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `EscapeQuerySyntax.Type`
  Type of escaping: String for escaping syntax, NORMAL for escaping reserved words (like AND) in terms

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CharSequence`
  `escape(CharSequence text, Locale locale, EscapeQuerySyntax.Type type)`

- ## Method Details

  - ### escape

    CharSequence escape(CharSequence text, Locale locale, EscapeQuerySyntax.Type type)
    Parameters:
      `text` - - text to be escaped
      `locale` - - locale for the current query
      `type` - - select the type of escape operation to use
    Returns:
      escaped text